void printi(int val);

int main()
{
  int val;
  char *s = "abcdefg";

  while (*s) {
    switch (*(s++)) {
    case 'a':  val = 1; break;
    case 'b':  val = 2; break;
    case 'c':  val = 3; break;
    case 'd':  val = 4; break;
    case 'e':  val = 5; break;
    case 'f':  val = 6; break;
    case 'g':  val = 7; break;
    default: val = 10;  break;
    }
    printi(val);
  }

  return 0;
}
